Loading...
Searching...
No Matches
_PedDiskArchOps Struct Reference
PedDisk

Architecture-specific operations. More...

`#include <disk.h>`

## Data Fields

int(* | disk_commit )(PedDisk *disk)
char *(* | partition_get_path )(const PedPartition *part)
int(* | partition_is_busy )(const PedPartition *part)

## Detailed Description

Architecture-specific operations.

i.e. communication with kernel (or whatever) about changes, etc.

## Field Documentation

## disk_commit

int(* _PedDiskArchOps::disk_commit)(PedDisk *disk)

## partition_get_path

char *(* _PedDiskArchOps::partition_get_path)(const PedPartition *part)

## partition_is_busy

int(* _PedDiskArchOps::partition_is_busy)(const PedPartition *part)

The documentation for this struct was generated from the following files:

- include/parted/disk.h
- include/parted/disk.in.h